Main Page Modules Data Structures File List Data Fields Globals Related Pages

# Hash Functions: SHA-256

## Files
file | sha256.c
| SHA-256 hash function, code.

file | sha256.h
| SHA-256 hash function, header.

## Data Structures
struct | sha256Param
## Functions
void | sha256Process (sha256Param *p)
int | sha256Reset (sha256Param *p)
int | sha256Update (sha256Param *p, const byte *data, int size)
int | sha256Digest (sha256Param *p, uint32 *data)
## Variables
const hashFunction | sha256

## Function Documentation

int sha256Digest | ( | sha256Param * | p,
|  | uint32 * | data
| ) |

void sha256Process | ( | sha256Param * | p | ) |

| Referenced by sha256Finish, and sha256Update.

int sha256Reset | ( | sha256Param * | p | ) |

| Referenced by sha256Digest.

int sha256Update | ( | sha256Param * | p,
|  | const byte * | data,
|  | int | size
| ) |

## Variable Documentation

const hashFunction sha256

| Definition at line 50 of file sha256.h.